## visad
Class QuickSort

    java.lang.Object
      visad.QuickSort

public class QuickSort
extends Object

QuickSort sorts a set of samples in R using a quicksort algorithm combined with an insertion sort algorithm to avoid an excess number of recursive calls.

All of QuickSort's variables and methods are static.

Constructor Summary
`QuickSort()`

Method Summary
`static void` `main(String[] argv)`
`static int[]` `sort(double[] a)`
`static int[]` `sort(float[] a)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QuickSort

    public QuickSort()

Method Detail

### sort

    public static int[] sort(float[] a)
                      throws VisADException

  Throws:
    `VisADException`

### sort

    public static int[] sort(double[] a)
                      throws VisADException

  Throws:
    `VisADException`

### main

    public static void main(String[] argv)
                     throws VisADException

  Throws:
    `VisADException`